From d06c1168a323559554a9eed83ed607c2ee578fab Mon Sep 17 00:00:00 2001
From: Ryan Brue <ryanbrue@hotmail.com>
Date: Apr 19 2024 02:57:40 +0000
Subject: [PATCH 125/220] Add instructions to create sources


---

diff --git a/rpms/cosmic-app-library/cosmic-app-library.spec b/rpms/cosmic-app-library/cosmic-app-library.spec
index 307d159..311d359 100644
--- a/rpms/cosmic-app-library/cosmic-app-library.spec
+++ b/rpms/cosmic-app-library/cosmic-app-library.spec
@@ -39,6 +39,13 @@ License:        0BSD OR MIT OR Apache-2.0 AND Apache-2.0 AND Apache-2.0 OR MIT A
 # LICENSE.dependencies contains a full license breakdown
 
 URL:            https://github.com/pop-os/cosmic-applibrary
+
+# To create these sources:
+# * git clone the repository
+# * cargo vendor > .vendor/config.toml
+# * tar -pcJf $name-$commit-vendor.tar.xz and move
+#     the tar out of the repo directory
+# * tar -pcJf $name-$commit.tar.xz
 Source:         cosmic-app-library-%{commit}.tar.xz
 Source:         cosmic-app-library-%{commit}-vendor.tar.xz
 
diff --git a/rpms/cosmic-applets/cosmic-applets.spec b/rpms/cosmic-applets/cosmic-applets.spec
index fb85906..63beea0 100644
--- a/rpms/cosmic-applets/cosmic-applets.spec
+++ b/rpms/cosmic-applets/cosmic-applets.spec
@@ -35,6 +35,13 @@ License:        0BSD OR MIT OR Apache-2.0 AND Apache-2.0 AND Apache-2.0 OR MIT A
 # LICENSE.dependencies contains a full license breakdown
 
 URL:            https://github.com/pop-os/cosmic-applets
+
+# To create these sources:
+# * git clone the repository
+# * cargo vendor > .vendor/config.toml
+# * tar -pcJf $name-$commit-vendor.tar.xz and move
+#     the tar out of the repo directory
+# * tar -pcJf $name-$commit.tar.xz
 Source:         cosmic-applets-%{commit}.tar.xz
 Source:         cosmic-applets-%{commit}-vendor.tar.xz
 
diff --git a/rpms/cosmic-bg/cosmic-bg.spec b/rpms/cosmic-bg/cosmic-bg.spec
index 44ca2ef..8387f74 100644
--- a/rpms/cosmic-bg/cosmic-bg.spec
+++ b/rpms/cosmic-bg/cosmic-bg.spec
@@ -29,6 +29,13 @@ License:        0BSD OR MIT OR Apache-2.0 AND Apache-2.0 OR MIT AND Apache-2.0 W
 # LICENSE.dependencies contains a full license breakdown
 
 URL:            https://github.com/pop-os/cosmic-bg
+
+# To create these sources:
+# * git clone the repository
+# * cargo vendor > .vendor/config.toml
+# * tar -pcJf $name-$commit-vendor.tar.xz and move
+#     the tar out of the repo directory
+# * tar -pcJf $name-$commit.tar.xz
 Source:         cosmic-bg-%{commit}.tar.xz
 Source:         cosmic-bg-%{commit}-vendor.tar.xz
 
diff --git a/rpms/cosmic-comp/cosmic-comp.spec b/rpms/cosmic-comp/cosmic-comp.spec
index a4965c6..a5d5a8e 100644
--- a/rpms/cosmic-comp/cosmic-comp.spec
+++ b/rpms/cosmic-comp/cosmic-comp.spec
@@ -40,6 +40,13 @@ License:        GPL-3.0 AND (Apache-2.0 OR MIT) AND BSD-3-Clause AND 0BSD OR MIT
 # LICENSE.dependencies contains a full license breakdown
 
 URL:            https://github.com/pop-os/cosmic-comp
+
+# To create these sources:
+# * git clone the repository
+# * cargo vendor > .vendor/config.toml
+# * tar -pcJf $name-$commit-vendor.tar.xz and move
+#     the tar out of the repo directory
+# * tar -pcJf $name-$commit.tar.xz
 Source:         cosmic-comp-%{commit}.tar.xz
 Source:         cosmic-comp-%{commit}-vendor.tar.xz
 
diff --git a/rpms/cosmic-edit/cosmic-edit.spec b/rpms/cosmic-edit/cosmic-edit.spec
index e4776f0..26e50e9 100644
--- a/rpms/cosmic-edit/cosmic-edit.spec
+++ b/rpms/cosmic-edit/cosmic-edit.spec
@@ -43,6 +43,13 @@ License:        (Apache-2.0 OR MIT) AND BSD-3-Clause AND 0BSD OR MIT OR Apache-2
 # LICENSE.dependencies contains a full license breakdown
 
 URL:            https://github.com/pop-os/cosmic-edit
+
+# To create these sources:
+# * git clone the repository
+# * cargo vendor > .vendor/config.toml
+# * tar -pcJf $name-$commit-vendor.tar.xz and move
+#     the tar out of the repo directory
+# * tar -pcJf $name-$commit.tar.xz
 Source:         cosmic-edit-%{commit}.tar.xz
 Source:         cosmic-edit-%{commit}-vendor.tar.xz
 
diff --git a/rpms/cosmic-files/cosmic-files.spec b/rpms/cosmic-files/cosmic-files.spec
index 4a60b5b..95bf9e7 100644
--- a/rpms/cosmic-files/cosmic-files.spec
+++ b/rpms/cosmic-files/cosmic-files.spec
@@ -42,6 +42,13 @@ License:        0BSD OR MIT OR Apache-2.0 AND Apache-2.0 AND Apache-2.0 OR BSL-1
 # LICENSE.dependencies contains a full license breakdown
 
 URL:            https://github.com/pop-os/cosmic-files
+
+# To create these sources:
+# * git clone the repository
+# * cargo vendor > .vendor/config.toml
+# * tar -pcJf $name-$commit-vendor.tar.xz and move
+#     the tar out of the repo directory
+# * tar -pcJf $name-$commit.tar.xz
 Source:         cosmic-files-%{commit}.tar.xz
 Source:         cosmic-files-%{commit}-vendor.tar.xz
 
diff --git a/rpms/cosmic-greeter/cosmic-greeter.spec b/rpms/cosmic-greeter/cosmic-greeter.spec
index 4bb3680..a6bbefc 100644
--- a/rpms/cosmic-greeter/cosmic-greeter.spec
+++ b/rpms/cosmic-greeter/cosmic-greeter.spec
@@ -36,6 +36,13 @@ License:        0BSD OR MIT OR Apache-2.0 AND Apache-2.0 AND Apache-2.0 OR BSL-1
 # LICENSE.dependencies contains a full license breakdown
 
 URL:            https://github.com/pop-os/cosmic-greeter
+
+# To create these sources:
+# * git clone the repository
+# * cargo vendor > .vendor/config.toml
+# * tar -pcJf $name-$commit-vendor.tar.xz and move
+#     the tar out of the repo directory
+# * tar -pcJf $name-$commit.tar.xz
 Source:         cosmic-greeter-%{commit}.tar.xz
 Source:         cosmic-greeter-%{commit}-vendor.tar.xz
 
diff --git a/rpms/cosmic-icons/cosmic-icons.spec b/rpms/cosmic-icons/cosmic-icons.spec
index dc1c8d6..7a5690f 100644
--- a/rpms/cosmic-icons/cosmic-icons.spec
+++ b/rpms/cosmic-icons/cosmic-icons.spec
@@ -12,6 +12,10 @@ Summary:        Icon theme for the COSMIC Desktop Environment.
 License:        CC-BY-SA-4.0
 
 URL:            https://github.com/pop-os/cosmic-icons
+
+# To create this source:
+# * git clone the repository
+# * tar -pcJf $name-$commit.tar.xz
 Source:         cosmic-icons-%{commit}.tar.xz
 
 BuildRequires:  just
diff --git a/rpms/cosmic-launcher/cosmic-launcher.spec b/rpms/cosmic-launcher/cosmic-launcher.spec
index 052f3f5..2884502 100644
--- a/rpms/cosmic-launcher/cosmic-launcher.spec
+++ b/rpms/cosmic-launcher/cosmic-launcher.spec
@@ -42,6 +42,13 @@ License:        0BSD OR MIT OR Apache-2.0 AND Apache-2.0 AND Apache-2.0 OR BSL-1
 # LICENSE.dependencies contains a full license breakdown
 
 URL:            https://github.com/pop-os/cosmic-launcher
+
+# To create these sources:
+# * git clone the repository
+# * cargo vendor > .vendor/config.toml
+# * tar -pcJf $name-$commit-vendor.tar.xz and move
+#     the tar out of the repo directory
+# * tar -pcJf $name-$commit.tar.xz
 Source:         cosmic-launcher-%{commit}.tar.xz
 Source:         cosmic-launcher-%{commit}-vendor.tar.xz
 
diff --git a/rpms/cosmic-notifications/cosmic-notifications.spec b/rpms/cosmic-notifications/cosmic-notifications.spec
index 3d621df..1d8a273 100644
--- a/rpms/cosmic-notifications/cosmic-notifications.spec
+++ b/rpms/cosmic-notifications/cosmic-notifications.spec
@@ -37,6 +37,13 @@ License:        0BSD OR MIT OR Apache-2.0 AND Apache-2.0 AND Apache-2.0 OR BSD-3
 # LICENSE.dependencies contains a full license breakdown
 
 URL:            https://github.com/pop-os/cosmic-notifications
+
+# To create these sources:
+# * git clone the repository
+# * cargo vendor > .vendor/config.toml
+# * tar -pcJf $name-$commit-vendor.tar.xz and move
+#     the tar out of the repo directory
+# * tar -pcJf $name-$commit.tar.xz
 Source:         cosmic-notifications-%{commit}.tar.xz
 Source:         cosmic-notifications-%{commit}-vendor.tar.xz
 
diff --git a/rpms/cosmic-osd/cosmic-osd.spec b/rpms/cosmic-osd/cosmic-osd.spec
index 1af704e..9842d51 100644
--- a/rpms/cosmic-osd/cosmic-osd.spec
+++ b/rpms/cosmic-osd/cosmic-osd.spec
@@ -40,6 +40,13 @@ License:        0BSD OR MIT OR Apache-2.0 AND Apache-2.0 AND Apache-2.0 OR MIT A
 # LICENSE.dependencies contains a full license breakdown
 
 URL:            https://github.com/pop-os/cosmic-osd
+
+# To create these sources:
+# * git clone the repository
+# * cargo vendor > .vendor/config.toml
+# * tar -pcJf $name-$commit-vendor.tar.xz and move
+#     the tar out of the repo directory
+# * tar -pcJf $name-$commit.tar.xz
 Source:         cosmic-osd-%{commit}.tar.xz
 Source:         cosmic-osd-%{commit}-vendor.tar.xz
 
diff --git a/rpms/cosmic-panel/cosmic-panel.spec b/rpms/cosmic-panel/cosmic-panel.spec
index b0001ea..b05e974 100644
--- a/rpms/cosmic-panel/cosmic-panel.spec
+++ b/rpms/cosmic-panel/cosmic-panel.spec
@@ -34,6 +34,13 @@ License:        0BSD OR MIT OR Apache-2.0 AND Apache-2.0 AND Apache-2.0 OR BSD-3
 # LICENSE.dependencies contains a full license breakdown
 
 URL:            https://github.com/pop-os/cosmic-panel
+
+# To create these sources:
+# * git clone the repository
+# * cargo vendor > .vendor/config.toml
+# * tar -pcJf $name-$commit-vendor.tar.xz and move
+#     the tar out of the repo directory
+# * tar -pcJf $name-$commit.tar.xz
 Source:         cosmic-panel-%{commit}.tar.xz
 Source:         cosmic-panel-%{commit}-vendor.tar.xz
 
diff --git a/rpms/cosmic-player/cosmic-player.spec b/rpms/cosmic-player/cosmic-player.spec
index 8d17bd9..cf5b5db 100644
--- a/rpms/cosmic-player/cosmic-player.spec
+++ b/rpms/cosmic-player/cosmic-player.spec
@@ -18,6 +18,13 @@ License:        # FIXME
 # FIXME: No license information in crate metadata.
 
 URL:            # FIXME
+
+# To create these sources:
+# * git clone the repository
+# * cargo vendor > .vendor/config.toml
+# * tar -pcJf $name-$commit-vendor.tar.xz and move
+#     the tar out of the repo directory
+# * tar -pcJf $name-$commit.tar.xz
 Source:         # FIXME
 Source:         cosmic-player-0.1.0-vendor.tar.xz
 
diff --git a/rpms/cosmic-randr/cosmic-randr.spec b/rpms/cosmic-randr/cosmic-randr.spec
index 727bf66..3963cd3 100644
--- a/rpms/cosmic-randr/cosmic-randr.spec
+++ b/rpms/cosmic-randr/cosmic-randr.spec
@@ -26,6 +26,13 @@ License:        0BSD OR MIT OR Apache-2.0 AND Apache-2.0 AND Apache-2.0 OR MIT A
 # LICENSE.dependencies contains a full license breakdown
 
 URL:            https://github.com/pop-os/cosmic-randr
+
+# To create these sources:
+# * git clone the repository
+# * cargo vendor > .vendor/config.toml
+# * tar -pcJf $name-$commit-vendor.tar.xz and move
+#     the tar out of the repo directory
+# * tar -pcJf $name-$commit.tar.xz
 Source:         cosmic-randr-%{commit}.tar.xz
 Source:         cosmic-randr-%{commit}-vendor.tar.xz
 
diff --git a/rpms/cosmic-screenshot/cosmic-screenshot.spec b/rpms/cosmic-screenshot/cosmic-screenshot.spec
index ba8d328..76a867d 100644
--- a/rpms/cosmic-screenshot/cosmic-screenshot.spec
+++ b/rpms/cosmic-screenshot/cosmic-screenshot.spec
@@ -30,6 +30,13 @@ SourceLicense:  GPL-3.0
 License:        0BSD OR MIT OR Apache-2.0 AND Apache-2.0 OR MIT AND Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT AND BSD-3-Clause AND MIT AND MIT OR Apache-2.0 AND MIT OR Apache-2.0 OR Zlib AND MIT OR Zlib OR Apache-2.0 AND MPL-2.0 AND Unlicense OR MIT AND Zlib OR Apache-2.0 OR MIT AND LICENSE.dependencies contains a full license breakdown
 
 URL:            https://github.com/pop-os/cosmic-screenshot
+
+# To create these sources:
+# * git clone the repository
+# * cargo vendor > .vendor/config.toml
+# * tar -pcJf $name-$commit-vendor.tar.xz and move
+#     the tar out of the repo directory
+# * tar -pcJf $name-$commit.tar.xz
 Source:         cosmic-screenshot-%{commit}.tar.xz
 Source:         cosmic-screenshot-%{commit}-vendor.tar.xz
 
diff --git a/rpms/cosmic-session/cosmic-session.spec b/rpms/cosmic-session/cosmic-session.spec
index 7ebd239..aa0fa7c 100644
--- a/rpms/cosmic-session/cosmic-session.spec
+++ b/rpms/cosmic-session/cosmic-session.spec
@@ -34,6 +34,13 @@ License:        0BSD OR MIT OR Apache-2.0 AND Apache-2.0 OR BSD-3-Clause AND Apa
 # LICENSE.dependencies contains a full license breakdown
 
 URL:            https://github.com/pop-os/cosmic-session
+
+# To create these sources:
+# * git clone the repository
+# * cargo vendor > .vendor/config.toml
+# * tar -pcJf $name-$commit-vendor.tar.xz and move
+#     the tar out of the repo directory
+# * tar -pcJf $name-$commit.tar.xz
 Source:         cosmic-session-%{commit}.tar.xz
 Source:         cosmic-session-%{commit}-vendor.tar.xz
 
diff --git a/rpms/cosmic-settings-daemon/cosmic-settings-daemon.spec b/rpms/cosmic-settings-daemon/cosmic-settings-daemon.spec
index 47288ab..c60e0c5 100644
--- a/rpms/cosmic-settings-daemon/cosmic-settings-daemon.spec
+++ b/rpms/cosmic-settings-daemon/cosmic-settings-daemon.spec
@@ -39,6 +39,13 @@ License:        0BSD OR MIT OR Apache-2.0 AND Apache-2.0 AND Apache-2.0 OR MIT A
 # LICENSE.dependencies contains a full license breakdown
 
 URL:            https://github.com/pop-os/cosmic-settings-daemon
+
+# To create these sources:
+# * git clone the repository
+# * cargo vendor > .vendor/config.toml
+# * tar -pcJf $name-$commit-vendor.tar.xz and move
+#     the tar out of the repo directory
+# * tar -pcJf $name-$commit.tar.xz
 Source:         cosmic-settings-daemon-%{commit}.tar.xz
 Source:         cosmic-settings-daemon-%{commit}-vendor.tar.xz
 
diff --git a/rpms/cosmic-settings/cosmic-settings.spec b/rpms/cosmic-settings/cosmic-settings.spec
index c2be155..8f75d2b 100644
--- a/rpms/cosmic-settings/cosmic-settings.spec
+++ b/rpms/cosmic-settings/cosmic-settings.spec
@@ -40,6 +40,13 @@ License:        0BSD OR MIT OR Apache-2.0 AND Apache-2.0 AND Apache-2.0 OR MIT A
 # LICENSE.dependencies contains a full license breakdown
 
 URL:            https://github.com/pop-os/cosmic-settings
+
+# To create these sources:
+# * git clone the repository
+# * cargo vendor > .vendor/config.toml
+# * tar -pcJf $name-$commit-vendor.tar.xz and move
+#     the tar out of the repo directory
+# * tar -pcJf $name-$commit.tar.xz
 Source:         cosmic-settings-%{commit}.tar.xz
 Source:         cosmic-settings-%{commit}-vendor.tar.xz
 
diff --git a/rpms/cosmic-store/cosmic-store.spec b/rpms/cosmic-store/cosmic-store.spec
index 0a4f3ed..3a52cc1 100644
--- a/rpms/cosmic-store/cosmic-store.spec
+++ b/rpms/cosmic-store/cosmic-store.spec
@@ -38,6 +38,13 @@ License:        (Apache-2.0 OR MIT) AND BSD-3-Clause AND 0BSD OR MIT OR Apache-2
 # LICENSE.dependencies contains a full license breakdown
 
 URL:            https://github.com/pop-os/cosmic-store
+
+# To create these sources:
+# * git clone the repository
+# * cargo vendor > .vendor/config.toml
+# * tar -pcJf $name-$commit-vendor.tar.xz and move
+#     the tar out of the repo directory
+# * tar -pcJf $name-$commit.tar.xz
 Source:         cosmic-store-%{commit}.tar.xz
 Source:         cosmic-store-%{commit}-vendor.tar.xz
 
diff --git a/rpms/cosmic-term/cosmic-term.spec b/rpms/cosmic-term/cosmic-term.spec
index 4ce5991..ffd814e 100644
--- a/rpms/cosmic-term/cosmic-term.spec
+++ b/rpms/cosmic-term/cosmic-term.spec
@@ -42,6 +42,13 @@ License:        0BSD OR MIT OR Apache-2.0 AND Apache-2.0 AND Apache-2.0 OR BSL-1
 # LICENSE.dependencies contains a full license breakdown
 
 URL:            https://github.com/pop-os/cosmic-term
+
+# To create these sources:
+# * git clone the repository
+# * cargo vendor > .vendor/config.toml
+# * tar -pcJf $name-$commit-vendor.tar.xz and move
+#     the tar out of the repo directory
+# * tar -pcJf $name-$commit.tar.xz
 Source:         cosmic-term-%{commit}.tar.xz
 Source:         cosmic-term-%{commit}-vendor.tar.xz
 
diff --git a/rpms/cosmic-workspaces/cosmic-workspaces.spec b/rpms/cosmic-workspaces/cosmic-workspaces.spec
index 3b5af4b..33e0b3b 100644
--- a/rpms/cosmic-workspaces/cosmic-workspaces.spec
+++ b/rpms/cosmic-workspaces/cosmic-workspaces.spec
@@ -40,6 +40,13 @@ License:        0BSD OR MIT OR Apache-2.0 AND Apache-2.0 AND Apache-2.0 OR MIT A
 # LICENSE.dependencies contains a full license breakdown
 
 URL:            https://github.com/pop-os/cosmic-workspaces-epoch
+
+# To create these sources:
+# * git clone the repository
+# * cargo vendor > .vendor/config.toml
+# * tar -pcJf $name-$commit-vendor.tar.xz and move
+#     the tar out of the repo directory
+# * tar -pcJf $name-$commit.tar.xz
 Source:         cosmic-workspaces-%{commit}.tar.xz
 Source:         cosmic-workspaces-%{commit}-vendor.tar.xz
 
diff --git a/rpms/pop-launcher/pop-launcher.spec b/rpms/pop-launcher/pop-launcher.spec
index d2d5ed6..4cba5fb 100644
--- a/rpms/pop-launcher/pop-launcher.spec
+++ b/rpms/pop-launcher/pop-launcher.spec
@@ -35,6 +35,13 @@ License:        (Apache-2.0 OR MIT) AND BSD-3-Clause AND Apache-2.0 AND Apache-2
 # LICENSE.dependencies contains a full license breakdown
 
 URL:            https://github.com/pop-os/launcher
+
+# To create these sources:
+# * git clone the repository
+# * cargo vendor > .vendor/config.toml
+# * tar -pcJf $name-$commit-vendor.tar.xz and move
+#     the tar out of the repo directory
+# * tar -pcJf $name-$commit.tar.xz
 Source:         pop-launcher-%{commit}.tar.xz
 Source:         pop-launcher-%{commit}-vendor.tar.xz
 
diff --git a/rpms/xdg-desktop-portal-cosmic/xdg-desktop-portal-cosmic.spec b/rpms/xdg-desktop-portal-cosmic/xdg-desktop-portal-cosmic.spec
index 422fa10..3fd8499 100644
--- a/rpms/xdg-desktop-portal-cosmic/xdg-desktop-portal-cosmic.spec
+++ b/rpms/xdg-desktop-portal-cosmic/xdg-desktop-portal-cosmic.spec
@@ -40,6 +40,13 @@ License:        0BSD OR MIT OR Apache-2.0 AND Apache-2.0 AND Apache-2.0 OR MIT A
 # LICENSE.dependencies contains a full license breakdown
 
 URL:            https://github.com/pop-os/xdg-desktop-portal-cosmic
+
+# To create these sources:
+# * git clone the repository
+# * cargo vendor > .vendor/config.toml
+# * tar -pcJf $name-$commit-vendor.tar.xz and move
+#     the tar out of the repo directory
+# * tar -pcJf $name-$commit.tar.xz
 Source:         xdg-desktop-portal-cosmic-%{commit}.tar.xz
 Source:         xdg-desktop-portal-cosmic-%{commit}-vendor.tar.xz
 

